#ifndef _g_kde_dlg_h
#define _g_kde_dlg_h

#include "sysdep.h"
#include "console.h"
#include "gui.h"

#include <qcheckbox.h>
#include <qdialog.h>
#include <qlabel.h>
#include <qgrpbox.h>
#include <qcombo.h>
#include <klineedit.h>

/*
 *
 * g_kde_dlg.cpp - part of FTE which is Copyright (c) 1994-1996, Marko Macek

 * KDE Gui implementation for the FTE Editor
 * derived from the original Qt GUI module written by Marko Macek
 *
 * this file was initially written by Roberto Alsina
 *
 * GUI modifications (to be more KDE conform) by Alexander Sanda - as@psa.at
 *
 *    You may distribute under the terms of either the GNU General Public
 *    License or the Artistic License, as specified in the README file.
 *
 */

#define DEBUGX(x) // printf x

class PromptDlg : public QDialog
{

    Q_OBJECT

public:
    
    PromptDlg ();
    
    virtual ~PromptDlg() {};
    
    QLabel* label;
    KLineEdit* entry;
    
    
};

class FindDlg : public QDialog
{
    Q_OBJECT
public:
    FindDlg (long options=0);
    virtual ~FindDlg() {};

    KLineEdit* entry;
    QCheckBox *a;
    QCheckBox *b;
    QCheckBox *c;
    QCheckBox *d;
    QCheckBox *e;
    QCheckBox *g;
    QCheckBox *i;
    QCheckBox *j;
    QCheckBox *r;
    QCheckBox *x;
    
};

class FindReplaceDlg : public QDialog
{
    Q_OBJECT
public:
    FindReplaceDlg (long options=0);
    virtual ~FindReplaceDlg() {};

    KLineEdit *entry;
    KLineEdit *entry2;
    QCheckBox *a;
    QCheckBox *b;
    QCheckBox *c;
    QCheckBox *d;
    QCheckBox *e;
    QCheckBox *g;
    QCheckBox *i;
    QCheckBox *j;
    QCheckBox *r;
    QCheckBox *x;
    
};

const int kMaxButton = 16;

class QChoiceBox : public QDialog {
    Q_OBJECT
public:
    QChoiceBox(QWidget *parent=0, const char *name=0);

    void setText(const char *text);
    void addButton(const char *text);

    void adjustSize();

    int getChoice() { return buttonActivated; }

public slots:
    void pressed();
    void released();
    void clicked();

//protected:
//    void resizeEvent(QResizeEvent *);

private:
    QLabel *label;
    QPushButton *button[kMaxButton];
    QFrame *box;
    int buttonCount;
    int buttonArmed;
    int buttonSelected;
    int buttonActivated;
    void *reserved1;
    void *reserved2;
};

static SearchReplaceOptions SearchOpt;

#endif
